.TH BINLEGS GMTMANSECTION "1 Nov 2006" "GMT4.1.4" "GMT4.1.4"
.SH NAME
binlegs \- Maintain the \fBGMT\fP index files for mgg supplement
.SH SYNOPSIS
\fBbinlegs \fIleglistfile\fP [ \fB\-R\fP ] [ \fB\-D\fP ] [ \fB\-P\fP\fIpath\fP ] [ \fB\-V\fP ]
.SH DESCRIPTION
\fBbinlegs\fP will make changes to the \fBmgg\fP supplement data base files \fIgmt_legs.d\fP and \fIgmt_index.b\fP
for the legs listed in the \fIleglistfile\fP.  Normally, only the data archivist will need to
be concerned with these operations.
.TP
\fIleglistfile\fP 
Contains the list of legs to be worked on.
.SH OPTIONS
No space between the option flag and the associated arguments
.sp
.TP
.B \-R
Replace the current information if a leg already is in the system.  [Default is append].
.TP
.B \-D
Delete information for these legs from the system index files.
.TP
.B \-P
Set the path to where the \fIgmt_legs.d\fP and \fIgmt_index.b\fP files reside.  [Default is the \fB$GMTHOME\fP/lib.mgg directory].
.TP
.B \-V
Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].
.SH EXAMPLES
To add new cruises to the system:
.br
.sp
\fBbinlegs\fP \fInewlegs.lis\fP \fB\-V\fR \fB\-P\fR\fI/usr/lib/gmt\fP
.br
.sp
To remove bad legs from the system:
.br
.sp
\fBbinlegs\fP \fIbadlegs.lis\fP \fB\-D\fR \fB\-V\fR \fB\-P\fR\fI/usr/lib/gmt\fP
.SH "SEE ALSO"
.IR GMT (GMTMANSECTION),
.IR gmtlegs (GMTMANSECTION),
.IR gmt2bin (GMTMANSECTION)
.SH REFERENCES
Wessel, P., and W. H. F. Smith, 2005, The Generic Mapping Tools (GMT) version
4.1 Technical Reference & Cookbook, SOEST/NOAA.
.br
Wessel, P., and W. H. F. Smith, 1998, New, Improved Version of Generic Mapping
Tools Released, EOS Trans., AGU, 79 (47), p. 579.
.br
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools
Released, EOS Trans., AGU, 76 (33), p. 329.
.br
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools
Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the
American Geophysical Union.
.br
Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data,
EOS Trans., AGU, 72 (41), p. 441.
.br
